/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.baseprogramming.lang.geography;

import java.util.Locale;

/**
 *
 * @author benitez
 */
public class City
{
  private String Name;
  private String state;
  private String Country;

  public City() {}

  public City(String Name, String state)
  {
    this.Name = Name;
    this.state = state;
    Country=Locale.US.getCountry();
  }

  public City(String Name, String state, String Country) {
    this.Name = Name;
    this.state = state;
    this.Country = Country;
  }

  public String getCountry() {
    return Country;
  }

  public void setCountry(String Country) {
    this.Country = Country;
  }

  public String getName() {
    return Name;
  }

  public void setName(String Name) {
    this.Name = Name;
  }

  public String getState() {
    return state;
  }

  public void setState(String state) {
    this.state = state;
  }
  
  public static City parse(String string)
  {
    String[] tokens=string.split(",");
    if(tokens.length<2)
    {
      throw new java.lang.IllegalArgumentException("Please provide a string with coma separated city and State, and (optional) country");
    }
    String country=Locale.US.getCountry();
    if(tokens.length==3){country=tokens[2];}
    
    return new City(tokens[0],tokens[1],country);
  }
  
  
  
 
  
}
